Subject: Re: [6tisch] [Roll] [6lo] WGLC for draft-thubert-6man-flow-label-for-rpl-03

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 18 Aug 2014 10:06:12 +0000

Hello Michael;

The discussion was difficult enough with 2 WGs (just keeping clear on which WG was asked what question).
Now Carsten has broadened the discussion to 6lo and thus the complexity. 
In practice the discussion also impacts 6TiSCH because 6TiSCH will ship the minimal RPL over TSCH to IESG this year (draft-ietf-6tisch-minimal).

I'm not fan of 2 ways either. But we have to face that unless we keep the HBH-based approach only (which is doubtlessly the worst possible outcome), then we are already in that situation for some implementation(s).

For the lack of any other (pending) RFC, the 6TiSCH minimal draft will have point on the HbH-based approach and that approach will spread to 6TiSCH as well, where it hurts the most due to the very small frame size. And then there will have to be a deprecation and a migration to whatever ROLL and 6lo decide to do. I'd rather have the starting point be the flow label and then decide if we really want something else for 6TiSCH, what that something else is and if that something else is actually beneficial, which is not a done deal yet.

In any fashion, I think that we all agree that we need 6MAN to allow the border router (RPL root) to update the Flow Label. So I'm in full agreement with you that the complexity we are now facing can be better addressed by splitting the draft. One 6MAN-only draft that allows ROLL to do what the current draft does, and one ROLL draft that does it. At that point it will be up to ROLL (only) to standardize the second draft immediately or to wait and see whatever progress happens at 6lo.

Cheers,

Pascal

> -----Original Message-----
> From: ipv6 [mailto:[email-masked]] On Behalf Of Michael Richardson
> Sent: dimanche 17 août 2014 00:08
> To: Routing Over Low power and Lossy networks
> Cc: 6man WG; [email-masked] WG
> Subject: Re: [Roll] [6lo] WGLC for draft-thubert-6man-flow-label-for-rpl-03
> 
> 
> Pascal Thubert (pthubert) <[email-masked]> wrote:
>     > And my conclusion to 6MAN is that the changes of rules that are
>     > requested in the draft are useful whether or not people are willing to
>     > use the flow label as the transport for the RPL option inside the RPL
>     > domain. Since this is the question on the table for 6MAN, I think that
>     > the answer is now clearly a yes.
> 
> Should we split the issue up?
> 1) blessing/permission/exception to reset flow label within an LLN,
>    (which would include simply setting it to zero so it can be compressed
>    out)
> 
> 2) a document on how to compress 6553 HbH into ?flow-label vs ?6lo-HC.
> 
>    I am not enthusiastic about multiple ways.
>    We will have an existing problem of figuring out 6553 vs new-way,
>    and also noting that some nodes will needed to continue to speak 6553
>    on some links anyway (backhaul ethernet).
> 
> 
>     >> it mentions ISA100.11a only in the introduction.)
> 
> My understanding is that ISA100.11a uses the flow label to pick a path, but
> not in a way that involves rewritting it on each hop in the LLN.
> Please correct me if I'm wrong; it seems that document (1) is needed to
> retro-actively bless ISA100.11a usage :-)
> 
> [I'm writing this on a rainy Saturday afternoon, at a friend's house, playing
> 1st Ed AD&D, and my two characters are unconcious... so when I use the
> term "bless"... you'll understand the context]
> 
> --
> Michael Richardson <[email-masked]>, Sandelman Software Works
> -= IPv6 IoT consulting =-
> 
>